Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl
Class XMLEntityManager.ExternalEntity

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.XMLEntityManager.Entity
            |
            +--weblogic.apache.xerces.impl.XMLEntityManager.ExternalEntity

protected static class XMLEntityManager.ExternalEntity
extends XMLEntityManager.Entity

External entity.

Field Summary
`XMLResourceIdentifier` | `entityLocation` container for all relevant entity location information.
`java.lang.String` | `notation` Notation name for unparsed entity.

Fields inherited from class weblogic.apache.xerces.impl.XMLEntityManager.Entity
`name`

Constructor Summary
`XMLEntityManager.ExternalEntity()` Default constructor.
`XMLEntityManager.ExternalEntity(java.lang.String name, XMLResourceIdentifier entityLocation, java.lang.String notation)` Constructs an internal entity.

Method Summary
`void` | `clear()` Clears the entity.
`boolean` | `isExternal()` Returns true if this is an external entity.
`boolean` | `isUnparsed()` Returns true if this is an unparsed entity.
`void` | `setValues(XMLEntityManager.Entity entity)` Sets the values of the entity.
`void` | `setValues(XMLEntityManager.ExternalEntity entity)` Sets the values of the entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entityLocation

    public XMLResourceIdentifier entityLocation

  container for all relevant entity location information.

### notation

    public java.lang.String notation

  Notation name for unparsed entity.

Constructor Detail

### XMLEntityManager.ExternalEntity

    public XMLEntityManager.ExternalEntity()

  Default constructor.

### XMLEntityManager.ExternalEntity

    public XMLEntityManager.ExternalEntity(java.lang.String name,
                                           XMLResourceIdentifier entityLocation,
                                           java.lang.String notation)

  Constructs an internal entity.

Method Detail

### isExternal

    public final boolean isExternal()

  Returns true if this is an external entity.

  Overrides:
    isExternal in class XMLEntityManager.Entity

### isUnparsed

    public final boolean isUnparsed()

  Returns true if this is an unparsed entity.

  Overrides:
    isUnparsed in class XMLEntityManager.Entity

### clear

    public void clear()

  Clears the entity.

  Overrides:
    clear in class XMLEntityManager.Entity

### setValues

    public void setValues(XMLEntityManager.Entity entity)

  Sets the values of the entity.

  Overrides:
    setValues in class XMLEntityManager.Entity

### setValues

    public void setValues(XMLEntityManager.ExternalEntity entity)

  Sets the values of the entity.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD